opj_decoding_param Struct Reference

`#include <j2k.h>`

## Data Fields

OPJ_UINT32 | m_reduce
| if != 0, then original dimension divided by 2^(reduce); if == 0 or not used, image is decoded to the full resolution
OPJ_UINT32 | m_layer
| if != 0, then only the first "layer" layers are decoded; if == 0 or not used, all the quality layers are decoded

## Field Documentation

## m_layer

OPJ_UINT32 opj_decoding_param::m_layer

if != 0, then only the first "layer" layers are decoded; if == 0 or not used, all the quality layers are decoded

Referenced by opj_j2k_read_cod(), and opj_j2k_setup_decoder().

## m_reduce

OPJ_UINT32 opj_decoding_param::m_reduce

if != 0, then original dimension divided by 2^(reduce); if == 0 or not used, image is decoded to the full resolution

Referenced by opj_j2k_decode(), opj_j2k_read_siz(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_decoder(), and opj_tcd_init_tile().

The documentation for this struct was generated from the following file:

- j2k.h